# ReportingExtension

API Documentation: | `ReportingExtension`

A project extension named "reporting" that provides basic reporting settings and utilities.

Example usage:

    reporting {
        baseDir "$buildDir/our-reports"
    }

When implementing a task that produces reports, the location of where to generate reports should be obtained via the `ReportingExtension.file()` method of this extension.

### Properties

Property | Description
`baseDir` | The base directory for all reports

### Methods

Method | Description
`file(path)` | Creates a file object for the given path, relative to `ReportingExtension.getBaseDir()`.

### Script blocks

No script blocks

### Property details

#### `File` `baseDir`

The base directory for all reports

This value can be changed, so any files derived from this should be calculated on demand.

### Method details

#### `File` `file`(`String` path)

Creates a file object for the given path, relative to `ReportingExtension.getBaseDir()`.

The reporting base dir can be changed, so users of this method should use it on demand where appropriate.